package com.template.services;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.template.model.pojo.SmsCode;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.result.CommonResult;
import com.template.model.result.PageUtils;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ceshi
 * @since 2023-04-20
 */
public interface SmsCodeService extends IService<SmsCode> {

    public int insertSmsCode(SmsCode sa);

    public int updateSmsCode(SmsCode sa);

    public PageUtils<SmsCode> queryPageSmsCode(int currentPage, int pageCount, QueryWrapper<SmsCode> queryWrapper);

    public int deleteSmsCodeById(int id);

    public SmsCode getSmsCodeById(int id);

    public List<SmsCode> getSmsCodeList();

    public List<SmsCode> getSmsCodeByKey(QueryWrapper<SmsCode> queryWrapper);

    public CommonResult logIn(String phone, String code);
}
